POST api/Doctors

Creates a new doctor or updates the information of an existent doctor.

Request Information

URI Parameters

None.

Body Parameters

DoctorModel
NameDescriptionTypeAdditional information
LastName

Last name of the doctor (Required).

string

None.

FirstName

First name of the doctor

string

None.

Alias

Alias of the doctor

string

None.

Active

Indicates whether the doctor is active or not (Required).

boolean

None.

InHouse

Indicates whether the doctor is in house or not (Required).

boolean

None.

LocationExternalId

Unique ID on integrating system of the default location of the doctor.

string

None.

SecureRecipientExternalId

Unique ID on integrating system of the secure recipient of the doctor. If the doctor is active and in house and there is no secure recipient with the specified ID, the portal will create a secure recipient automatically. If the doctor is not active or not in house, the portal will just verify that there a secure recipient with the provided ID.

string

None.

EmailAddress

Email Address of the doctor.

string

None.

Locations

List of locations for the doctor.

Collection of string

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "lastName": "sample string 1",
  "firstName": "sample string 2",
  "alias": "sample string 3",
  "active": true,
  "inHouse": true,
  "locationExternalId": "sample string 6",
  "secureRecipientExternalId": "sample string 7",
  "emailAddress": "sample string 8",
  "locations": [
    "sample string 1",
    "sample string 2"
  ],
  "id": "615065e4-e6a8-4265-9a80-e4b0d2b9405c",
  "externalId": "sample string 10"
}

application/xml, text/xml

Sample:
<DoctorModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Doctors">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">615065e4-e6a8-4265-9a80-e4b0d2b9405c</Id>
  <Active>true</Active>
  <Alias>sample string 3</Alias>
  <EmailAddress>sample string 8</EmailAddress>
  <FirstName>sample string 2</FirstName>
  <InHouse>true</InHouse>
  <LastName>sample string 1</LastName>
  <LocationExternalId>sample string 6</LocationExternalId>
  <Locations xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </Locations>
  <SecureRecipientExternalId>sample string 7</SecureRecipientExternalId>
</DoctorModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'DoctorModel'.

Response Information

Resource Description

DoctorModel
NameDescriptionTypeAdditional information
LastName

Last name of the doctor (Required).

string

None.

FirstName

First name of the doctor

string

None.

Alias

Alias of the doctor

string

None.

Active

Indicates whether the doctor is active or not (Required).

boolean

None.

InHouse

Indicates whether the doctor is in house or not (Required).

boolean

None.

LocationExternalId

Unique ID on integrating system of the default location of the doctor.

string

None.

SecureRecipientExternalId

Unique ID on integrating system of the secure recipient of the doctor. If the doctor is active and in house and there is no secure recipient with the specified ID, the portal will create a secure recipient automatically. If the doctor is not active or not in house, the portal will just verify that there a secure recipient with the provided ID.

string

None.

EmailAddress

Email Address of the doctor.

string

None.

Locations

List of locations for the doctor.

Collection of string

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "lastName": "sample string 1",
  "firstName": "sample string 2",
  "alias": "sample string 3",
  "active": true,
  "inHouse": true,
  "locationExternalId": "sample string 6",
  "secureRecipientExternalId": "sample string 7",
  "emailAddress": "sample string 8",
  "locations": [
    "sample string 1",
    "sample string 2"
  ],
  "id": "7d71c075-66ed-4fd5-82a6-7a9be1b0adb3",
  "externalId": "sample string 10"
}

application/xml, text/xml

Sample:
<DoctorModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Doctors">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">7d71c075-66ed-4fd5-82a6-7a9be1b0adb3</Id>
  <Active>true</Active>
  <Alias>sample string 3</Alias>
  <EmailAddress>sample string 8</EmailAddress>
  <FirstName>sample string 2</FirstName>
  <InHouse>true</InHouse>
  <LastName>sample string 1</LastName>
  <LocationExternalId>sample string 6</LocationExternalId>
  <Locations xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </Locations>
  <SecureRecipientExternalId>sample string 7</SecureRecipientExternalId>
</DoctorModel>